
/* inode.c */
void inode_add(Eweid e, const char *s);
char *eweid_to_filename(Eweid e);
/* eweid.c */
Eweid eweid_dev(Eweid e);
int isvalidaeweid(char *a);
/* util.c */
char *hack_off(const char *path);
char *directory_of(const char *path);
char *path_tidy(const char *ptr);
char *de_relativise(const char *file, const char *ibase);
char *relativise(const char *file, const char *ibase);
int canread(int fd);
/* mtd.c */
char *mtd_filename;
void mtd_add_work(Eweid e);
void mtd_remove_work(Eweid e);
void mtd_remove_text(Eweid e);
void mtd_add_text(Eweid e, char *text);
void mtd_add_uri(Eweid e, char *uri);
void mtd_add_group(Eweid e, char *file);
int mtd_read(char *buf, int len);
int do_parse_mtd(int (*readfn)(char *, int));
int parse_mtd(const char *file);
/* uri.c */
void uri_add(Eweid e, const char *s);
char *eweid_to_uri(Eweid e);
/* text.c */
void text_remove(Eweid e);
void text_add(Eweid e, const char *s);
char *eweid_to_text_nocheat(Eweid e);
char *text_guess_name_from_file(char *uin);
int compar(const void *e1, const void *e2);
/* filesystem.c */
/* collection.c */
/* group.c */
void make_group(char *filename, Flock el);
int is_group(Eweid e);
Flock read_group(Eweid g);
/* http.c */
unsigned char *percent_encode(unsigned char *in);
/* work.c */
void work_remove(Eweid e);
void work_add(Eweid e);
/* user.c */
/* buffer.c */
CFH buffer_cfh(CFH real_cfh);
/* history.c */
int inrange(int l, int m, int h);
CFH history_cfh(CFH real_cfh);
